<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui">
<h:head>
	<title>Empresa</title>
</h:head>
<body>
	<f:view>
		<!-- Criando botões de comando e navegação -->
		<h:panelGrid title="Empresa Organizadora"> Empresa Organizadora
			<h:form>
				<h:commandButton action="createEmpresaOrganizadora"
					value="Cadastrar " />
				<h:commandButton action="changeOrDeleteEmpresaOrganizadora"
					value="Atualizar ou Remover" />
				<h:commandButton action="/index" value="voltar" />
			</h:form>
		</h:panelGrid>

		<h:panelGrid title="Empresa Patrocinadora"> Empresa Patrocinadora
			<h:form>
				<h:commandButton action="createEmpresaPatrocinadora"
					value="Cadastrar " />
				<h:commandButton action="changeOrDeleteEmpresaPatrocinadora"
					value="Atualizar ou Remover" />
				<h:commandButton action="/index" value="voltar" />
			</h:form>
		</h:panelGrid>


		<!-- Fazendo aparecer todas as pessoas -->
		<p:dataTable var="empresa" value="#{empresaBean.listaDeEmpresas}">
			<p:column headerText="CNPJ">
				<h:outputText value="#{empresa.cnpj}" />
			</p:column>

			<p:column headerText="Razão Social">
				<h:outputText value="#{empresa.razaoSocial}" />
			</p:column>

			<p:column headerText="Endereco">
				<h:outputText value="#{empresa.endereco}" />
			</p:column>
			
			<p:column headerText="Tipo">
				<h:outputText value="#{empresa.tipo}" />
			</p:column>

		</p:dataTable>


	</f:view>
</body>
</html>